#!/bin/sh

#
# volume group meta data mount point manager
#
# Steffen Plotner, 2010
#

. /etc/iscsi-target/ietd_config.sh

#
# this script should be invoked by rc.local and it
# must run before heartbeat starts. Heartbeat expects
# mount points to be in place before it tries to
# mount resources specific to each volume group.
#
# The meta data volume groups hold are ddmap data
# for each logical volume and iet configuration
# data for the entire volume group.
#
for vg in $IET_VGS; do
	mkdir -p $VGMETA_DIR/$vg
done

exit 0
