#!/bin/sh

#
# iscsi-target restart
#
# Steffen Plotner, 2010
#

. /etc/iscsi-target/ietd_config.sh

if [ -z "$1" ]; then
	echo "$0 [start|stop|restart|status]"
	exit 1
fi

host_current=$(uname -n)

for host in $IET_TARGET_HOSTS; do
	echo "iet_host: $host"

	if [ $host_current != $host ]; then
		host_wrapper="ssh $host"
	fi
	
	$host_wrapper service iscsi-target $*
done

