#!/bin/sh

node=$(uname -n)

head_node=$(cat /etc/ha.d/ha.cf | grep "^node" | head -n1 | cut -f2 -d' ')

if [ $node != $head_node ]; then
	echo "Must run this script and edit target.conf on head node of cluster"
	exit 1
fi

#
# ensure that target.conf is sync'd across the cluster
#
cd /etc/ha.d
./amh_cluster_sync.sh
cd - > /dev/null

#
# now configure the targets
#
./ietd_targets.sh configure_cluster $*
